﻿
using System;
using Wisej.Web;

namespace Wisej.ButtonInListView
{
	public partial class Page1 : Page
	{
		public Page1()
		{
			InitializeComponent();
		}

		private void Page1_Load(object sender, EventArgs e)
		{
			var item = this.listView1.Items.Add("Item 0");
			item.SubItems.Add("<a role='edit' href='#' class='myButton'>Edit</a>").AllowHtml = true;

			item = this.listView1.Items.Add("Item 1");
			item.SubItems.Add("<a role='edit' href='#' class='myButton'>Edit</a>").AllowHtml = true;

			item = this.listView1.Items.Add("Item 2");
			item.SubItems.Add("<a role='edit' href='#' class='myButton'>Edit</a>").AllowHtml = true;
		}

		private void listView1_ItemClick(object sender, ItemClickEventArgs e)
		{
			if (e.Role == "edit")
				MessageBox.Show("You clicked the edit button on item " + e.Item.Index, modal: false);
		}
	}
}
